import 'package:flutter/material.dart';

import 'doc.dart';
import 'my.dart';
import 'widget_list.dart';
import 'home.dart';

// 首页Tab Widget
// ignore: must_be_immutable
class TabNavigator extends StatefulWidget {
  @override
  _TabNavigatorState createState() => _TabNavigatorState();
}

class _TabNavigatorState extends State<TabNavigator> {
  static List tabInfo = [
    {
      'title': 'Home Widget List',
      'icon': Image.asset('assets/images/tab_nomal1.png', width: 23, height: 23),
      'selectIcon':
          Image.asset('assets/images/tab_selected1.png', width: 23, height: 23)
    },
    {
      'title': 'Magpie Fly Widget',
      'icon': Image.asset('assets/images/tab_nomal2.png', width: 23, height: 23),
      'selectIcon': Image.asset('assets/images/tab_selected2.png', width: 23, height: 23)
    },
    {
      'title': 'Doc',
      'icon': Image.asset('assets/images/tab_nomal3.png', width: 23, height: 23),
      'selectIcon': Image.asset('assets/images/tab_selected3.png', width: 23, height: 23)
    },
    {
      'title': 'My',
      'icon': Image.asset('assets/images/tab_nomal4.png', width: 23, height: 23),
      'selectIcon': Image.asset('assets/images/tab_selected4.png', width: 23, height: 23)
    },
  ];
  List<Widget> _pages = [];
  List<BottomNavigationBarItem> _tabs = [];
  var _currentIndex = 0;
  var _currentTitle = tabInfo[0]['title'];

  final _defaultColor = const Color(0xff8a8a8a);
  final _activeColor = const Color(0xff50b4ed);
  final PageController _controller = PageController(
    initialPage: 0,
  );

  @override
  void initState() {
    super.initState();

    // add页面
    _pages
      ..add(HomePage(_currentTitle))
      ..add(ListPage())
      //..add(EmptyPage())
      ..add(Doc(
        mdPath: 'doc/magpie_ui.md',
      ))
      ..add(My());

    //tab列表
    for (var i = 0; i < tabInfo.length; i++) {
        Map map = tabInfo[i];
        _tabs.add(BottomNavigationBarItem(
            title: Text(
              map['title'],
            ),
            icon: map['icon'],
            activeIcon: map['selectIcon']));
    }
  }

  @override
  void dispose() {
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(title: Text(_currentTitle)),
      bottomNavigationBar: BottomNavigationBar(
        items: _tabs,
        currentIndex: _currentIndex,
        onTap: tabClick,
        type: BottomNavigationBarType.fixed,
        selectedFontSize: 12,
        unselectedFontSize: 12,
        selectedLabelStyle: TextStyle(
            fontSize: 12,
            color: _activeColor
        ),
        unselectedLabelStyle: TextStyle(
            fontSize: 12,
            color: _defaultColor
        ),
      ),
      body: PageView(
        controller: _controller,
        children: _pages,
        onPageChanged: onPageChanged,
        //所有可滚动组件的属性physics，禁止滑动
        //physics: NeverScrollableScrollPhysics(),
      ),
    );
  }

  void onPageChanged(int index) {
    setState(() {
      _currentIndex = index;
      _currentTitle = tabInfo[index]['title'];
    });
  }

  void tabClick(int index) {
    _controller.jumpToPage(index);
    setState(() {
      _currentIndex = index;
      _currentTitle = tabInfo[index]['title'];
    });
  }

}
